#include <stdio.h>

int main()
{
    int n;
    int k;
    int br = 0;
    int i;
    int y;
    int z;
    int x;
    int flag = 0;
    int temp = 0;
    
    scanf("%d%d",&n,&k);
    
    int polja[n];
    int menjanje[n];
    
    for(i=0;i<n;i++){
        scanf("%d",&polja[i]);
    }
    
    for(i=0;i<n;i++){
        if(br>0) {
                for(z=0;z<br;z++){
                    if(polja[i]==menjanje[z]){
                        flag = 1;
                    }
                    
                }
            }
        if(flag){
            flag = 0;
            continue;
        }else{
        for(y=0;y<n;y++){
            if(polja[y] == polja[i]){
                temp++;
            }
            
        }
        
        }
      if(temp>=k){
        br++;
        menjanje[br-1] = polja[i];
      }
       temp = 0; 
    }
    printf("%d \n",br);
    for(i=0;i<br;i++){
        printf("%d ",menjanje[i]);
        
    }

    return 0;
}